<?php
include("../fnc.php");
function gen_clave2($longitud){
  $str="ABCDEFGHJKLMNPQRSTUVWXYZ123456789";
  $res="";
  for($i=1;$i<=$longitud;$i++){
    $letra=substr($str,rand(0, strlen($str) -1 ),1);
    //echo "$letra<br>";
    $res.=$letra;
  }
  return strtolower($res);
}

$cnt=0;
$qalumno=runsql("select * from alumnos where year_estudio = 2012 and clave=''");
while($ialumno=registro($qalumno)){
   $clave=gen_clave2(6);
   $clave2=base64_encode($clave);
   $clave=gen_clave2(6);
   $clavep=base64_encode($clave);
   //$res=runsql("update alumnos set clave = '$clave2', clave_web = '$clavep' where carnet = '{$ialumno[carnet]}'");
   echo "update alumnos set clave = '$clave2', clave_web='$clavep' where carnet = '{$ialumno[carnet]}';<br>";
   $cnt++;
   //echo "<br>";
}
echo "Finalizado!  $cnt actualizados!" ;
?>
